traefik:
  options:
    publish:
      - "443:443"
      - "8080:8080"
    volume:
      - "/opt/konwenty.moe/letsencrypt:/tmp/letsencrypt"
  args:
    accesslog: true
    accesslog.format: json
    api.insecure: true
    entryPoints.web.address: ":80"
    entryPoints.websecure.address: ":443"
    certificatesResolvers.letsencrypt.acme.email: "admin@konwenty.moe"
    certificatesResolvers.letsencrypt.acme.storage: "/tmp/letsencrypt/acme.json"
    certificatesResolvers.letsencrypt.acme.httpchallenge: true
    certificatesResolvers.letsencrypt.acme.httpchallenge.entrypoint: web

servers:
  web:
    hosts:
      - 167.235.69.149
    labels:
      traefik.http.routers.konwenty-moe-backend-web-production.rule: Host(`app.konwenty.moe`)
      traefik.http.routers.konwenty-moe-backend-web-production_secure.entrypoints: websecure
      traefik.http.routers.konwenty-moe-backend-web-production_secure.rule: Host(`app.konwenty.moe`)
      traefik.http.routers.konwenty-moe-backend-web-production_secure.tls: true
      traefik.http.routers.konwenty-moe-backend-web-production_secure.tls.certresolver: letsencrypt
    options:
      add-host: "host.docker.internal:host-gateway"
  jobs:
    cmd: bundle exec good_job start
    hosts:
      - 167.235.69.149
    options:
      add-host: "host.docker.internal:host-gateway"